#version 330 core

in VertexData{
	vec2 fTexcoord;
	vec3 intensity;
} inData;

out vec4 outColor;

uniform sampler2D tex;

void main(void) {
	outColor = texture(tex, inData.fTexcoord) * vec4(inData.intensity, 1);
}