#version 330 core

layout(location=0) in vec3 position;
layout(location=1) in vec2 vTexcoord;

out vec2 fTexcoord;

uniform mat4 model;
uniform mat4 view;
uniform mat4 proj;

void main(void) {
	gl_Position = proj * view * model * vec4(position, 1.0);

	fTexcoord = vTexcoord;
	
}